## libkscreen 6.5.5+p24.04+vstable+git20260122.1233

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libkscreen)
set(PROJECT_VERSION "6.5.90")

set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMMarkAsTest)
include(ECMGenerateHeaders)
include(ECMGeneratePkgConfigFile)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMPoQmTools)
include(FeatureSummary)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Gui Test WaylandClient)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(WaylandScanner)

find_package(PlasmaWaylandProtocols 1.20 CONFIG)
set_package_properties(PlasmaWaylandProtocols PROPERTIES TYPE REQUIRED)

find_package(Wayland 1.24 COMPONENTS Client)
set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                      )

# xrandr backend

find_package(XCB COMPONENTS XCB RANDR DPMS)
set_package_properties(XCB PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required for building XRandR backends"
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_program(JQ NAMES "jq" DOC "jq is used in zsh completion script")
if(JQ)
  message(STATUS "Found jq executable: ${JQ}")
else()
  message(WARNING "jq executable not found, zsh completions won't work at their full capacity")
endif()

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREEN
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ScreenConfigVersion.cmake"
                        SOVERSION 8)

ecm_set_disabled_deprecation_versions(QT 5.15.0
    KF 6.12.0
)

add_subdirectory(src)
add_subdirectory(backends)
if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

ecm_install_po_files_as_qm(poqm)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Screen")

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Screen_QCH
        FILE KF6ScreenQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ScreenQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6ScreenConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6ScreenConfig.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ScreenConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ScreenConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF6ScreenTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6ScreenTargets.cmake
  NAMESPACE KF6::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kscreen_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}"
  COMPONENT Devel
)
ecm_qt_install_logging_categories(EXPORT KSCREEN FILE libkscreen.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkscreen (4:6.5.5+p24.04+vstable+git20260122.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:33:57 +0000

=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               g++-14,
               gcc-14,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kwayland-dev,
               libwayland-bin,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools,
               qt6-wayland-dev,
               qt6-wayland-dev-tools
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/libkscreen
Vcs-Git: https://invent.kde.org/neon/kde/libkscreen.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkscreen
Maintainer: Neon CI <neon@kde.org>

Package: libkf6screen-bin
Architecture: any
Multi-Arch: foreign
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen-bin (<< 4:6.0.0)
Replaces: libkf5screen-bin (<< 4:6.0.0)
Description: library for screen management - helpers
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the library helpers and the corresponding dbus service.

Package: libkf6screen-dev
Section: libdevel
Architecture: any
Depends: libkf6screen-bin (= ${binary:Version}),
         libkf6screen8 (= ${binary:Version}),
         libkf6screendpms8 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkf5screen-bin (<< 4:6.0.0), libkf5screen-dev (<< 4:6.0.0)
Replaces: libkf5screen-bin (<< 4:6.0.0), libkf5screen-dev (<< 4:6.0.0)
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkf6screen8
Architecture: any
Multi-Arch: same
Depends: libkf6screen-bin, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screen8 (<< 4:6.0.0)
Replaces: libkf5screen8 (<< 4:6.0.0)
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkf6screendpms8
Architecture: any
Multi-Arch: same
Depends: libkf6screen-bin, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5screendpms8 (<< 4:6.0.0)
Replaces: libkf5screendpms8 (<< 4:6.0.0)
Description: dpms library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared dpms library

Package: libkf6screen-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: libkf6screen-dev, ${misc:Depends}
Breaks: libkf5screen-doc (<< 4:6.0.0)
Replaces: libkf5screen-doc (<< 4:6.0.0)
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the qch documentation files.

Package: libkf5screen-bin
Section: oldlibs
Architecture: all
Depends: libkf6screen-bin (>= 4:6.0.0), ${misc:Depends}
Description: Dummy transitional package.
 This package can be safely removed.

Package: libkf5screen-dev
Section: oldlibs
Architecture: all
Depends: libkf6screen-dev (>= 4:6.0.0), ${misc:Depends}
Description: Dummy transitional package.
 This package can be safely removed.

Package: libkf5screen8
Section: oldlibs
Architecture: all
Depends: libkf6screen8 (>= 4:6.0.0), ${misc:Depends}
Description: Dummy transitional package.
 This package can be safely removed.

Package: libkf5screendpms8
Section: oldlibs
Architecture: all
Depends: libkf6screen8 (>= 4:6.0.0), ${misc:Depends}
Description: Dummy transitional package.
 This package can be safely removed.

Package: libkf5screen-doc
Section: oldlibs
Architecture: all
Depends: libkf6screen-doc (>= 4:6.0.0), ${misc:Depends}
Description: Dummy transitional package.
 This package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

# need gcc 14
export CC=gcc-14
export CXX=g++-14

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_QCH=ON \
		-DCMAKE_CXX_STANDARD=23

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         dbus-x11,
         libgl1-mesa-dri,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## libkscreen 6.6.0+p24.04+vstable+git20260215.0641

=== debian/changelog ===
libkscreen (4:6.6.0+p24.04+vstable+git20260215.0641-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 06:41:32 +0000

libkscreen (4:6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 03:34:20 +0000

## libkscreen 6.6.0+p24.04+vstable+git20260215.1305

=== debian/changelog ===
libkscreen (4:6.6.0+p24.04+vstable+git20260215.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 13:05:11 +0000

## libkscreen 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(libkscreen)
-set(PROJECT_VERSION "6.5.90")
+set(PROJECT_VERSION "6.6.1")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== backends/kwayland/CMakeLists.txt ===

set(wayland_SRCS
    waylandbackend.cpp waylandbackend.h
    waylandconfig.cpp waylandconfig.h
    waylandoutputdevice.cpp waylandoutputdevice.h
    waylandoutputmanagement.cpp waylandoutputmanagement.h
    waylandoutputdevicemode.cpp waylandoutputdevicemode.h
    waylandscreen.cpp waylandscreen.h
    ../utils.cpp ../utils.h
)
qt_add_dbus_interface(wayland_SRCS org.kde.KWin.TabletModeManager.xml tabletmodemanager_interface)

ecm_qt_declare_logging_category(wayland_SRCS
                                HEADER kscreen_kwayland_logging.h
                                IDENTIFIER KSCREEN_WAYLAND
                                CATEGORY_NAME kscreen.kwayland
				DESCRIPTION "kscreen wayland"
				EXPORT KSCREEN
)

add_library(KSC_KWayland MODULE)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(KSC_KWayland
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-output-device-v2.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/kde-output-management-v2.xml
    ${private_code_option}
)

target_sources(KSC_KWayland PRIVATE ${wayland_SRCS})

set_target_properties(KSC_KWayland PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf6/kscreen")
set_target_properties(KSC_KWayland PROPERTIES PREFIX "")
target_link_libraries(KSC_KWayland Qt::Core
                                  Qt::DBus
                                  Qt::Gui
                                  Qt::WaylandClient
                                  KF6::Screen
                                  Wayland::Client
)

install(TARGETS KSC_KWayland DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kscreen/)

=== debian/changelog ===
libkscreen (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update symbols.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:14:29 +0000

libkscreen (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Feb 2026 15:34:36 +0000

libkscreen (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:56:32 +0000

=== debian/control ===
Source: libkscreen
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.22.0~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.19.0~),
               qt6-base-dev (>= 6.10.0~),
               qt6-base-private-dev (>= 6.10.0+dfsg~),
               qt6-tools-dev (>= 6.10.0~),
               qt6-wayland-dev (>= 6.10.0~) [linux-any],
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libkscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkscreen
Rules-Requires-Root: no

Package: libkscreen-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5screen-bin (<< 4:5.27.11-0ubuntu3~), libkf6screen-bin,
Replaces: libkf5screen-bin (<< 4:5.27.11-0ubuntu3~), libkf6screen-bin,
Description: library for screen management - helpers
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the library helpers and the corresponding D-Bus service.

Package: libkf6screen8
Architecture: any
Multi-Arch: same
Depends: libkscreen-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: hwdata,
Description: library for screen management - shared library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the shared library

Package: libkf6screendpms8
Architecture: any
Multi-Arch: same
Depends: libkscreen-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for screen management - dpms support library
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the dpms support shared library

Package: libkscreen-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf6screen-data,
Replaces: libkf6screen-data,
Description: library for screen management - data files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains data files.

Package: libkscreen-dev
Section: libdevel
Architecture: any
Depends: libkf6screen8 (= ${binary:Version}),
         libkf6screendpms8 (= ${binary:Version}),
         qt6-base-dev (>= 6.10.0~),
         ${misc:Depends},
Recommends: libkscreen-doc (= ${source:Version}),
Breaks: libkf6screen-dev,
Replaces: libkf6screen-dev,
Description: library for screen management - development files
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the files necessary for development.

Package: libkscreen-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf6screen-doc,
Replaces: libkf6screen-doc,
Description: library for screen management - documentation
 The KDE multiple monitor support is trying be as smart as possible
 adapting the behavior of it to each use case making the configuration
 of monitors as simple as plugging them to your computer.
 .
 This package contains the QCH documentation files.

## libkscreen 6.6.2

=== debian/changelog ===
libkscreen (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:22:56 +0000
